/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "xmpp.h"

void
hc_xmpp_send_presence (hc_xmpp_t *xmpp, char *to, char *show, char *status)
{
  iks *pres;
  iks *sh;
  iks *st;
  pres = iks_new ("presence");
  if (to != NULL && iks_strcmp (to, ""))
    iks_insert_attrib (pres, "to", to);
  if (show)
    {
      sh = iks_insert (pres, "show");
      iks_insert_cdata (sh, show, 0);
    }
  if (status)
    {
      st = iks_insert (pres, "status");
      iks_insert_cdata (st, status, 0);
    }
  hc_xmpp_send_iks (xmpp, pres);
  hc_xmpp_sent_presence (xmpp, pres);
  iks_delete (pres);
}
